
package com.lideeyunji.core.framework.service;

import com.lideeyunji.core.framework.entity.EnhanceJsEntity;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * JS增强相关
 */
public interface IEnhanceJsService extends IService<EnhanceJsEntity> {

    List<EnhanceJsEntity> getSlectList(Long dbFormId);

    List<EnhanceJsEntity> getJsList(Long dbFormId);

    /**
     * Js增强 详情
     */
    EnhanceJsEntity getDbFormEnhanceJsDetail(Long dbformId, String type);

    //新增js增强
    void saveEnhanceJs(EnhanceJsEntity enhanceJsEntity);

    //编辑js增强
    void updateEnhanceJs(EnhanceJsEntity enhanceJsEntity);

    //复制
    void copy(Long sourceFormIdId,Long targetFormIdId);
}
